flutter_file_manager 0.0.1

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 72

flutter_file_manager #

A set of utilities, that help to manage the files & directories in Android system.

version: 0.0.1

Getting Started #

For help getting started with Flutter, view our online documentation.

For help on editing package code, view the documentation.

Screenshots #

<img src="screenshots/ss1.png" height="300em" /> <img src="screenshots/ss2.png" height="300em" /> <img src="screenshots/ss3.png" height="300em" /> <img src="screenshots/ss4.png" height="300em" /> <img src="screenshots/ss5.png" height="300em" /> <img src="screenshots/ss6.png" height="300em" />

Usage #

To use this package, add these
dependency in your pubspec.yaml file.

dependencies:
  flutter:
    sdk: flutter
  path: ^1.6.2
  path_provider: ^0.4.1
  flutter_file_manager: ^0.0.1

And, add read / write permissions in your android/app/src/main/AndroidManifest.xml

<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>

Don't forget to give Storage permissions to your app, manually or by this plugin simple_permissions

/// this code will bring you all the file types that match the given extensions.
List<String> imagesPaths = [];
Future buildImages() async {
	var dir = await getExternalStorageDirectory();
	imagesPaths = await FileManager.filesTreeList(dir.path, extensions: ["png", "jpg"]);
}

Example #

Contributors #

Contact me #

me.developer.a@gmail.com

[0.0.1]

  • initial release.

example/README.md

flutter_file_manager example #

A new Flutter project.

Getting Started #

For help getting started with Flutter, view our online documentation.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_file_manager: ^0.0.1

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_file_manager/flutter_file_manager.dart';
  
Version Uploaded Documentation Archive
0.0.5 Nov 10, 2018 Go to the documentation of flutter_file_manager 0.0.5 Download flutter_file_manager 0.0.5 archive
0.0.4 Nov 10, 2018 Go to the documentation of flutter_file_manager 0.0.4 Download flutter_file_manager 0.0.4 archive
0.0.3 Nov 9, 2018 Go to the documentation of flutter_file_manager 0.0.3 Download flutter_file_manager 0.0.3 archive
0.0.2 Nov 9, 2018 Go to the documentation of flutter_file_manager 0.0.2 Download flutter_file_manager 0.0.2 archive
0.0.1 Nov 9, 2018 Go to the documentation of flutter_file_manager 0.0.1 Download flutter_file_manager 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
57
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
70
Overall:
Weighted score of the above. [more]
72
Learn more about scoring.

We analyzed this package on Feb 4, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.13
  • Flutter: 1.2.0

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Format lib/flutter_file_manager.dart.

Run flutter format to format lib/flutter_file_manager.dart.

Format lib/src/regex_tools.dart.

Run flutter format to format lib/src/regex_tools.dart.

Maintenance issues and suggestions

Homepage URL doesn't exist. (-20 points)

At the time of the analysis the homepage field https://www.none.com was unreachable.

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
path ^1.6.2 1.6.2
path_provider ^0.4.1 0.4.1 0.5.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test